package com.ruoyi.ibs.list.domain;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 建档客户信息对象 cust_info_record
 * 
 * @author ruoyi
 * @date 2024-12-19
 */
public class CustInfoRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 企业名称,商户名称，个人名称 */
    @Excel(name = "企业名称,商户名称，个人名称")
    private String custName;

    /** 法人姓名，经营人姓名(个人没有该字段) */
    @Excel(name = "法人姓名，经营人姓名(个人没有该字段)")
    private String lpName;

    /** 法人电话，经营人电话，个人电话 */
    @Excel(name = "法人电话，经营人电话，个人电话")
    private String custPhone;

    /** 注册资本 */
    @Excel(name = "注册资本")
    private String custCapital;

    /** 企业经营地址，商户经营地址，个人住宅地址 */
    @Excel(name = "企业经营地址，商户经营地址，个人住宅地址")
    private String custLocation;

    /** 归属支行id */
    @Excel(name = "归属支行id")
    private String belongBranchId;

    /** 归属支行 */
    @Excel(name = "归属支行")
    private String belongBranchName;

    /** 客户经理id */
    @Excel(name = "客户经理id")
    private String belongUserId;

    /** 客户经理 */
    @Excel(name = "客户经理")
    private String belongUserName;

    /** 统一社会信用识别码 */
    @Excel(name = "统一社会信用识别码")
    private String socialCreditCode;

    /** 企业固定电话 */
    @Excel(name = "企业固定电话")
    private String tel;

    /** 注册地址 */
    @Excel(name = "注册地址")
    private String registerLocation;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String businessScope;

    /** 所属行业 */
    @Excel(name = "所属行业")
    private String industry;

    /** 法人身份证号 */
    @Excel(name = "法人身份证号")
    private String custIdc;

    /** 性别，男，女 */
    @Excel(name = "性别，男，女")
    private String custGender;

    /** 年龄 */
    @Excel(name = "年龄")
    private String custAge;

    /** 客户状态 1正常，2特殊，3其他，4黑名单客户，5灰名单，6未知 */
    @Excel(name = "客户状态 1正常，2特殊，3其他，4黑名单客户，5灰名单，6未知")
    private String status;

    /** 婚姻状况 未婚，已婚，丧偶，离婚，其他 */
    @Excel(name = "婚姻状况 未婚，已婚，丧偶，离婚，其他")
    private String isMarried;

    /** 学历 */
    @Excel(name = "学历")
    private String custEdu;

    /** 年收入（万） */
    @Excel(name = "年收入", readConverterExp = "万=")
    private String custSalary;

    /** 生日 */
    @Excel(name = "生日")
    private String birthday;

    /** 工作地址 */
    @Excel(name = "工作地址")
    private String jobLocation;

    /** 客户类型 0个人，1商户，2企业 */
    @Excel(name = "客户类型 0个人，1商户，2企业")
    @ApiModelProperty(value = "客户类型",required = true)
    private String custType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCustName(String custName) 
    {
        this.custName = custName;
    }

    public String getCustName() 
    {
        return custName;
    }
    public void setLpName(String lpName) 
    {
        this.lpName = lpName;
    }

    public String getLpName() 
    {
        return lpName;
    }
    public void setCustPhone(String custPhone) 
    {
        this.custPhone = custPhone;
    }

    public String getCustPhone() 
    {
        return custPhone;
    }
    public void setCustCapital(String custCapital) 
    {
        this.custCapital = custCapital;
    }

    public String getCustCapital() 
    {
        return custCapital;
    }
    public void setCustLocation(String custLocation) 
    {
        this.custLocation = custLocation;
    }

    public String getCustLocation() 
    {
        return custLocation;
    }
    public void setBelongBranchId(String belongBranchId) 
    {
        this.belongBranchId = belongBranchId;
    }

    public String getBelongBranchId() 
    {
        return belongBranchId;
    }
    public void setBelongBranchName(String belongBranchName) 
    {
        this.belongBranchName = belongBranchName;
    }

    public String getBelongBranchName() 
    {
        return belongBranchName;
    }
    public void setBelongUserId(String belongUserId) 
    {
        this.belongUserId = belongUserId;
    }

    public String getBelongUserId() 
    {
        return belongUserId;
    }
    public void setBelongUserName(String belongUserName) 
    {
        this.belongUserName = belongUserName;
    }

    public String getBelongUserName() 
    {
        return belongUserName;
    }
    public void setSocialCreditCode(String socialCreditCode) 
    {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCode() 
    {
        return socialCreditCode;
    }
    public void setTel(String tel) 
    {
        this.tel = tel;
    }

    public String getTel() 
    {
        return tel;
    }
    public void setRegisterLocation(String registerLocation) 
    {
        this.registerLocation = registerLocation;
    }

    public String getRegisterLocation() 
    {
        return registerLocation;
    }
    public void setBusinessScope(String businessScope) 
    {
        this.businessScope = businessScope;
    }

    public String getBusinessScope() 
    {
        return businessScope;
    }
    public void setIndustry(String industry) 
    {
        this.industry = industry;
    }

    public String getIndustry() 
    {
        return industry;
    }
    public void setCustIdc(String custIdc) 
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc;
    }
    public void setCustGender(String custGender) 
    {
        this.custGender = custGender;
    }

    public String getCustGender() 
    {
        return custGender;
    }
    public void setCustAge(String custAge) 
    {
        this.custAge = custAge;
    }

    public String getCustAge() 
    {
        return custAge;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setIsMarried(String isMarried) 
    {
        this.isMarried = isMarried;
    }

    public String getIsMarried() 
    {
        return isMarried;
    }
    public void setCustEdu(String custEdu) 
    {
        this.custEdu = custEdu;
    }

    public String getCustEdu() 
    {
        return custEdu;
    }
    public void setCustSalary(String custSalary) 
    {
        this.custSalary = custSalary;
    }

    public String getCustSalary() 
    {
        return custSalary;
    }
    public void setBirthday(String birthday) 
    {
        this.birthday = birthday;
    }

    public String getBirthday() 
    {
        return birthday;
    }
    public void setJobLocation(String jobLocation) 
    {
        this.jobLocation = jobLocation;
    }

    public String getJobLocation() 
    {
        return jobLocation;
    }
    public void setCustType(String custType) 
    {
        this.custType = custType;
    }

    public String getCustType() 
    {
        return custType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("custName", getCustName())
            .append("lpName", getLpName())
            .append("custPhone", getCustPhone())
            .append("custCapital", getCustCapital())
            .append("custLocation", getCustLocation())
            .append("belongBranchId", getBelongBranchId())
            .append("belongBranchName", getBelongBranchName())
            .append("belongUserId", getBelongUserId())
            .append("belongUserName", getBelongUserName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("socialCreditCode", getSocialCreditCode())
            .append("tel", getTel())
            .append("registerLocation", getRegisterLocation())
            .append("businessScope", getBusinessScope())
            .append("industry", getIndustry())
            .append("custIdc", getCustIdc())
            .append("custGender", getCustGender())
            .append("custAge", getCustAge())
            .append("status", getStatus())
            .append("isMarried", getIsMarried())
            .append("custEdu", getCustEdu())
            .append("custSalary", getCustSalary())
            .append("birthday", getBirthday())
            .append("jobLocation", getJobLocation())
            .append("custType", getCustType())
            .toString();
    }
}
